> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/changelogs/version-6/v6-8-7-67422.md).

# Version 6.8.7.67422 Changelog (September 18th, 2018)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

* Version: 6.8.7.67422
* Release Date: September 18th, 2018
* Built with Xcode 10.0 (10A254a)

## New

* New [`ToolManager`](https://sdk.apryse.com/api/ios/Classes/PTToolManager.html) APIs to selectively disable tools based on the `annotation type` or `functionality`
* New `ToolManager`[configuration APIs](https://sdk.apryse.com/api/ios/Classes/PTToolManager.html) for easy customization:

{% tabs %}
{% tab title="Swift" %}
{% code lineNumbers="true" %}

```swift
toolManager.configure(with: ToolManagerConfiguration { builder in
    // Disable editing of ink annotations.
    builder.annotPermissions = [
        .ink : [
            .canCreate : true,
            .canEdit : false,
        ],
    ]
    
    // Disable text selection.
    builder.interactionToolPermissions = [
        .textSelection : [
            .enabled : false,
        ],
    ]
})
```

{% endcode %}
{% endtab %}

{% tab title="Obj-C" %}
{% code lineNumbers="true" %}

```objc
[toolManager configureWithConfiguration:[ToolManagerConfiguration configurationWithBuilder:^(ToolManagerConfigurationBuilder * builder) {
    // Disable editing of ink annotations.
    builder.annotPermissions = @{
        PTExtendedAnnotNameInk : @{
            PTAnnotPermissionKeyCanCreate : @YES,
            PTAnnotPermissionKeyCanEdit : @NO,
        },
    };
    
    // Disable text selection.
    builder.interactionToolPermissions = @{
        PTInteractionToolNameTextSelection : @{
            PTInteractionToolPermissionKeyEnabled : @NO,
        },
    };
}]];
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Bug fixes

* Bug fixes for iOS 12.
* Miscellaneous bug fixes and minor improvements.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/ios/changelogs/version-6/v6-8-7-67422.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
